from microbit import *
import radio

'''
Données techniques :
Instruction de base pour les moteurs:
i2c.write(0x10,bytearray([moteur,sens,vitesse]))
moteur vaut 0 ou 2 pour moteur gauche ou moteur droit
sens vaut 0 ou 1 pour sens horaire ou anti-horaire
vitesse est un nombre entre 0 et 255 sinon un modulo est effectué.
Ainsi une vitesse de 300 vaut une vitesse de 45
et une vitesse de -45 vaut une vitesse de 210.
'''

def avance(vitesse):
    i2c.write(0x10,bytearray([2,0,vitesse]))    # moteur droit, sens horaire, vitesse
    i2c.write(0x10,bytearray([0,0,vitesse]))    # moteur gauche, sens horaire, vitesse

def recule(vitesse):
    i2c.write(0x10,bytearray([2,1, vitesse]))   # moteur droit, sens anti-horaire, vitesse
    i2c.write(0x10,bytearray([0,1, vitesse]))   # moteur gauche, sens anti-horaire, vitesse

def droite(vitesse):
    i2c.write(0x10,bytearray([2,0,0]))          # arret moteur droit
    i2c.write(0x10,bytearray([0,0, vitesse]))   # moteur gauche, sens horaire, vitesse

def gauche(vitesse):
    i2c.write(0x10,bytearray([2,0, vitesse]))   # moteur droit, sens horaire, vitesse
    i2c.write(0x10,bytearray([0,0,0]))          # arret moteur gauche

def stop():
    i2c.write(0x10,bytearray([2,0,0]))          # arret moteur droit
    i2c.write(0x10,bytearray([0,0,0]))          # arret moteur gauche


# Configuration radio
radio.on()
radio.config(address=1,group=1)

# Programme
while True:
    # vitesse entre 0 et 255
    # Réception des messages
    message = radio.receive()
    if message == "AV":avance(100)
    elif message =="AR":recule(100)
    elif message =="G":gauche(50)
    elif message =="D":droite(50)
    elif message =="S":stop()
